=== debian/changelog ===
cloud-init (0.7.7~bzr1156-1~bpo8+1) jessie-backports; urgency=medium

  * Backported for Jessie. 

 -- Charles Plessy <plessy@debian.org>  Sat, 06 Feb 2016 22:34:12 +0900

cloud-init (0.7.7~bzr1156-1) unstable; urgency=medium

  [ Charles Plessy ]
  * New usptream release and bzr snapshot.  (Closes: #804782)
    ed25519 ssh keys are generated (Closes: #788196).
  * Import some of the changes from ../config/cloud.cfg.
  * Add security mirror.
    Thanks to Brandon Bradley <bradleytastic@gmail.com> (Closes: #783847)
  * Use upstream systemd units (Closes: #784083).
  * debian/00_debian.cfg: ensure that 'nofail' is used instead of
    'nobootwait' (Closes: #702382, #789884).

  [ Bastian Blank ]
  * Make Azure datasource run without root
  * Use upstream init scripts.
  * Use pybuild as build system.
  * Don't hardcode python dependencies.
  * Fix build dependencies.
  * Depend on lsb-release.
  * Update default cloud.cfg.
  * Add myself as uploader.

 -- Bastian Blank <waldi@debian.org>  Fri, 29 Jan 2016 14:28:01 +0100

cloud-init (0.7.6~bzr976-5) unstable; urgency=medium

  * Fixed .service dependency on ssh and not sshd.
  * Switched from Type=oneshot to Type=simple so that other services don't
    keep on waiting for it forever.
  * cloud-config.service doesn't depend on itself anymore, and now has:
    Requires=cloud-init.service, After=cloud-init.service

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Sep 2015 13:25:50 +0200

cloud-init (0.7.6~bzr976-4) unstable; urgency=medium

  * Added cloud-init.cloud-config.target missing file.
  * Removed explicit local-fs.target as services have use
    DefaultDependencies=yes (which is the default). Thanks to Michael Biebl
    <biebl@debian.org> for pointing it out.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 16:02:34 +0200

cloud-init (0.7.6~bzr976-3) unstable; urgency=medium

  * Added upstream debian/*.service files (Closes: #784083).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 11:33:54 +0200
