=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb,upstart

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_install:
	dh_install
	rm -rf debian/cloud-init/usr/lib/python?.?/dist-packages/tests

override_dh_auto_test:
	# Because setup tools didn't copy data...
	[ ! -d .pybuild/pythonX.Y_?.?/build/tests ] || cp -r tests/data .pybuild/pythonX.Y_?.?/build/tests
	dh_auto_test

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-final

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start
