=== debian/changelog ===
cloud-init (0.7.7~bzr1212-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fix iscsi root by not writing interface as 'auto' when networking
      information comes from kernel command line (LP: #1568637)
    - apply networking less often, when possible only on first
      instance boot (LP: #1571004).
    - no longer delete /etc/network/interfaces.d/eth0.cfg on
      ubuntu (LP: #1563487)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Apr 2016 16:25:43 -0400

cloud-init (0.7.7~bzr1209-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fallback net config: do not consider devices starting with 
      'veth' (LP: #1569064)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Apr 2016 16:24:38 -0400

cloud-init (0.7.7~bzr1208-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - phone_home: allow usage of fqdn (LP: #1566824) [Ollie Armstrong]
    - chef: straighten out validation_cert and validation_key (LP: #1568940)
    - skip bridges when generating fallback networking (LP: #1569974)
    - rh_subscription: only check subscription if configured (LP: #1536706)
    - SmartOS, CloudSigma: fix error when dmi data is not availble
      (LP: #1569469)
    - DataSourceNoCloud: fix check_instance_id when upgraded (LP: #1568150)
    - lxd: adds basic support for dpkg based lxd-bridge 
      configuration. (LP: #1569018)
    - centos: Ensure that a resolve conf object is written as a string.
      (LP: #1479988)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2016 13:19:03 -0400

cloud-init (0.7.7~bzr1200-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fix adding of users when no group is specified (LP: #1562918)
    - fix write_files with compressed content (LP: #1565638)
    - systemd: do not specify After of obsolete syslog.target (LP: #1536964)
    - chef: fix chef installation from gems (LP: #1553345)
    - disk_setup: correctly send force to mkfs on block devices (LP: #1548772)
    - locale: list unsupported environment settings in warning (LP: #1558069)
    - fix NoCloud and other datasources if no datasource config (LP: #1514407)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Apr 2016 13:07:27 -0400

cloud-init (0.7.7~bzr1192-0ubuntu2) xenial; urgency=medium

  [Logan Rosen]
  * debian/cloud-init.postinst: fix shell syntax in upgrade (LP: #1564187)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Mar 2016 10:09:09 -0400

cloud-init (0.7.7~bzr1192-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - Misc fixes for VMware Support.
    - network config improvements:
      - do not raise exception on non-debian if network config is found.
      - apply network config in 'cloud-init --local' even if there is
        no datasource found.
      - do not write 70-persistent-net.rules only systemd .link files.
    - improve how cloud-init-wait waits: remove the check and sleep
      loop and replace it with 'udevadm settle'.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Mar 2016 16:34:25 -0400

cloud-init (0.7.7~bzr1189-0ubuntu1) xenial; urgency=medium

  * d/control: adjust build dependency as python3-pyflakes in xenial
    now provides python3 modules for pyflakes.
  * d/cloud-init.install, d/control, d/dirs, d/grub-legacy-ec2.install:
    run wrap-and-sort
  * d/cloud-init.install: add lib/udev/ files.
  * d/cloud-init.postinst: touch /var/lib/cloud/data/upgraded-network
    if upgrading from version that did not have network support.
  * New upstream snapshot.
    * initial support for support network configuration in cloud-init --local
    * do not rely on network metadata service on every boot for 
      ConfigDrive Openstack Azure (LP: #1553815)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Mar 2016 17:36:40 -0400

cloud-init (0.7.7~bzr1182-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * systemd changes enforcing intended ordering (cloud-init-local.service
      before networking and cloud-init.service before it comes up).
    * when reading dmidecode data, return found but unset value as "" rather
      than failing to decode that value.
    * add default user to 'lxd' group and create groups when necessary
      (LP: #1539317)
    * No longer run pollinate in seed_random (LP: #1554152)
    * Enable BigStep data source.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 14 Mar 2016 09:58:56 -0400

cloud-init (0.7.7~bzr1176-0ubuntu1) xenial; urgency=medium

  * d/README.source, d/new-upstream-snapshot: simplify the README.source
    with a script.
  * d/rules: support DEB_BUILD_OPTIONS=nocheck and remove unused code.
  * d/rules: make tests with python3
  * d/control: add pep8 as a build depends
  * d/cloud-init.preinst, d/cloud-init.postinst adjust upgrade path
    to adjust systemd jobs that put cloud-init unit jobs directly
    in multi-user.target.
  * New upstream snapshot.
    * Add Image Customization Parser for VMware vSphere Hypervisor Support.
      Disabled by default. [Sankar Tanguturi]
    * lxd: add initial support for setting up lxd using 'lxd init'
    * Handle escaped quotes in WALinuxAgentShim.find_endpoint (LP: #1488891)
    * timezone: use a symlink when updating /etc/localtime (LP: #1543025)
    * enable more code testing in 'make check'
    * Added Bigstep datasource [Daniel Watkins]
    * Enable password changing via a hashed string [Alex Sirbu]

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2016 15:44:02 -0500

cloud-init (0.7.7~bzr1160-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * SmartOS: Add support for Joyent LX-Brand Zones (LP: #1540965)
    * systemd/power_state: fix power_state when cloud-final exited failure
      (LP: #1449318)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Feb 2016 17:22:36 -0500

cloud-init (0.7.7~bzr1156-0ubuntu2) xenial; urgency=medium

  * debian/cloud-init.postinst, systemd_detect_virt.patch: Call
    systemd-detect-virt instead of the Ubuntu specific running-in-container
    wrapper. (LP: #1539016)


