## cloud-init 0.7.7~bzr1215

=== debian/changelog ===
cloud-init (0.7.7~bzr1215-3) unstable; urgency=medium

  * Depend on gdisk, needed for GPT handling.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 10 Jun 2016 16:56:41 +0200

cloud-init (0.7.7~bzr1215-2) unstable; urgency=medium

  * Build-depend on python3-pyflakes instead of pyflakes.

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 10 May 2016 17:18:53 +0200

cloud-init (0.7.7~bzr1215-1) unstable; urgency=medium

  * New upstream snapshot.

  [ Charles Plessy ]
  * Translations added or updated.
    - Danish: Joe Dalton <joedalton2@yahoo.dk>
      Closes: #781336
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      Closes: #765869
    - Japanese: Takuma Yamada <tyamada@takumayamada.com>
      Closes: #816071
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>
      Closes: #816141
    - Russian: Yuri Kozlov <yuray@komyakino.ru>
      Closes: #761617
    - Spanish: Jathan <jathanblackred@openmailbox.org>
      Closes: #783564
    - Swedish: Martin Bagge <brother@bsnet.se>
               Anders Jonsson <anders.jonsson@norsjovallen.se>
      Closes: #781681
  * Update syntax of rsyslog snippet ("~" is deprecated).
    Thanks to Tobias Wolter <towo@ydal.de> (Closes: #791934)

  [ Bastian Blank ]
  * Fix tests.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 06 May 2016 12:10:17 +0200

cloud-init (0.7.7~bzr1156-2) unstable; urgency=medium

  * Import data source list from Ubuntu.
  * Clarify Azure data source.
  * Rename failsafe to fallback.
  * Unify data source descriptions.
  * Drop diversion of /etc/init/ureadahead.conf.
  * Fix backports entry in source.list template.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 24 Feb 2016 17:38:38 +0100
