=== debian/control ===
Source: cloud-init
Maintainer: Charles Plessy <plessy@debian.org>
Uploaders: Bastian Blank <waldi@debian.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               pylint,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-pyflakes,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-yaml
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cloud-init.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: gdisk,
         lsb-release,
         ifupdown,
         procps,
         ${misc:Depends},
         ${python3:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.
