## cloud-init 0.7.8-15-g6e45ffb

=== debian/changelog ===
cloud-init (0.7.8-15-g6e45ffb-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: Run cloud-init.service Before dbus.socket not dbus.target
      [Daniel Watkins] (LP: #1629797).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Oct 2016 12:41:38 -0400

cloud-init (0.7.8-14-g94fd35e-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: run cloud-init.service Before dbus.service (LP: #1629797)
    - unittests: fix use of mock 2.0 'assert_called' when running make check
      [Ryan Harper]
    - Improve module documentation and doc cleanup.  [Wesley Wiedenmeier]

 -- Scott Moser <smoser@ubuntu.com>  Tue, 04 Oct 2016 16:46:05 -0400

cloud-init (0.7.8-11-g02f6c4b-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - lxd: Update network config for LXD 2.3 [Stéphane Graber]
    - DigitalOcean: use meta-data for network configruation [Ben Howard]
    - ntp: move to run after apt configuration (LP: #1628337)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Sep 2016 14:30:15 -0400

cloud-init (0.7.8-8-g0439d8a-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Decode unicode types in decode_binary [Robert Schweikert]
    - systemd: Ensure that cloud-init-local happens before NetworkManager
    - Allow ephemeral drive to be unpartitioned [Paul Meyer]
    - subp: add 'update_env' argument

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Sep 2016 16:51:27 -0400

cloud-init (0.7.8-4-g970dbd1-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - net: support reading ipv6 dhcp config from initramfs [LaMont Jones]
      (LP: #1621615)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Sep 2016 11:56:23 -0400

cloud-init (0.7.8-3-g80f5ec4-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Adjust mounts and disk configuration for systemd. (LP: #1611074)
    - dmidecode: run dmidecode only on i?86 or x86_64 arch. [Robert Schweikert]

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Sep 2016 13:59:20 -0400

cloud-init (0.7.8-1-g3705bb5-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.7.8.
  * New upstream snapshot.
    - systemd: put cloud-init.target After multi-user.target (LP: #1623868)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Sep 2016 09:47:11 -0400

cloud-init (0.7.7-31-g65ace7b-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Allow link type of null in network_data.json [Jon Grimm] (LP: #1621968)
    - DataSourceOVF: fix user-data as base64 with python3 (LP: #1619394)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Sep 2016 14:56:42 -0400

cloud-init (0.7.7-28-g34a26f7-0ubuntu2) yakkety; urgency=medium

  * debian/control: fix missing dependency on python3-serial,
    and make SmartOS datasource work.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2016 21:22:13 -0400

cloud-init (0.7.7-28-g34a26f7-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: Better support package and upgrade.
      (LP: #1576692, #1621336)
    - tests: cleanup tempdirs in apt_source tests

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2016 16:01:13 -0400

cloud-init (0.7.7-26-g058dd75-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - apt config conversion: treat empty string as not provided. (LP: #1621180)
    - Fix typo in default keys for phone_home [Roland Sommer] (LP: #1607810)
    - salt minion: update default pki directory for newer salt minion.
      (LP: #1609899)
    - bddeb: add --release flag to specify the release in changelog.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Sep 2016 09:36:52 -0400

cloud-init (0.7.7-22-g763f403-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - apt-config: allow both old and new format to be present.
      [Christian Ehrhardt] (LP: #1616831)
    - python2.6: fix dict comprehension usage in _lsb_release. [Joshua Harlow]
    - Add a module that can configure spacewalk. [Joshua Harlow]
    - add install option for openrc [Matthew Thode]
    - Generate a dummy bond name for OpenStack (LP: #1605749)
  * debian/control, debian/README.source: update to reference git.
  * debian/new-upstream-snapshot: small fixes.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Aug 2016 15:22:13 -0400

cloud-init (0.7.7-17-g40a2f62-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - network: fix get_interface_mac for bond slave, read_sys_net for ENOTDIR
    - azure dhclient-hook cleanups
    - Minor cleanups to atomic_helper and add unit tests.
    - Fix Gentoo net config generation [Matthew Thode]
  * debian/control: drop very old meta-package ec2-init
  * debian/rules, debian/cloud-init.install: remove install file
    and use --destdir=debian/cloud-init. (LP: #1615745)
  * debian/dirs: remove obsolete / unused file.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 22 Aug 2016 17:02:56 -0400

cloud-init (0.7.7-13-g41271bd-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - distros: fix get_primary_arch method use of os.uname [Andrew Jorgensen]
    - Apt: add new apt configuration format [Christian Ehrhardt]
    - Get Azure endpoint server from DHCP client [Brent Baude]
  * debian/new-upstream-snapshot: update to use git and packaging branches.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Aug 2016 17:11:51 -0400

cloud-init (0.7.7-10-gbc2c326-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot:
    - DigitalOcean: use the v1.json endpoint
    - MAAS: add vendor-data support (LP: #1612313)
    - Upgrade the minimum configobj package to one new enough to work
    - ConfigDrive: recognize 'tap' as a link type.  (LP: #1610784)
    - NoCloud: fix bug providing network-interfaces via meta-data.
      (LP: #1577982)
    - Add distro tags on config modules that should have it
    - add ntp config module
    - SmartOS: more improvements for network configuration

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Aug 2016 17:18:01 -0400

cloud-init (0.7.7-0ubuntu1) yakkety; urgency=medium


