## cloud-init 0.7.9

=== debian/changelog ===
cloud-init (0.7.9-5) unstable; urgency=medium

  * Test with all Python versions.
  * Moved a bunch of build-depends to build-depends-indep.
  * Ran wrap-and-sort -bast.
  * Add runtime depends: cloud-guest-utils and locales (Closes: #878819).
  * Add eatmydata and sudo as recommends.
  * Add 0012-Fix-message-when-a-local-is-missing.patch which is Debian specific
    as Ubuntu handles locales differently (Closes: #804918).
  * Update / add new debconf template translations:
    - fr.po (Closes: #819507).
    - nl.po (Closes: #834612).
    - de.po (Closes: #842490).
    - pt_BR.po (Closes: #846526).
    - it.po (Closes: #846929).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 20:04:32 +0000

cloud-init (0.7.9-4) unstable; urgency=high

  * Add patch to avoid hardcoding /sbin for modprobe and udevadm.
    (Closes: #852564)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Sep 2017 23:58:09 +0200

cloud-init (0.7.9-3) unstable; urgency=medium

  * Fixed case for "OpenStack" in debian/cloud-init.templates (Closes: #841315)
  * Removed contrib and non-free by default (Closes: #865611).
  * Remove upstart support.
  * Standards-Version is now 4.0.0.
  * Overrides lintian cloud-init: init.d-script-depends-on-all-virtual-facility

 -- Thomas Goirand <zigo@debian.org>  Sat, 22 Jul 2017 16:20:48 +0200

cloud-init (0.7.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Joonas Kylmälä to fix FTBFS. (Closes: #865577)

 -- Adrian Bunk <bunk@debian.org>  Thu, 20 Jul 2017 13:24:49 +0300

cloud-init (0.7.9-2) unstable; urgency=medium

  * Add net-tools as runtime depends (Closes: #853926).
  * Add depends: on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Feb 2017 13:23:41 +0000

cloud-init (0.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Jan 2017 16:25:04 +0100

cloud-init (0.7.8-64-g166df60-1) unstable; urgency=medium

  * New upstream snapshot.
  * Adopt upstream changes to cloud.cfg.
  * Use deb.debian.org as primary mirror.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Dec 2016 13:27:36 +0100

cloud-init (0.7.8-49-g9e904bb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set maintainer to Debian Cloud Team.
  * Use debhelper compat level 10.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Nov 2016 21:05:36 +0100

cloud-init (0.7.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.8 (Closes: #838748, #780637)
  * Add README.Debian (Closes: #695327)
  * Bump Standards-Version to 3.9.8
    No change required.
  * Run debconf-updatepo during clean.
  * Skip failing test_apt_v3_mirror_search_dns.
    This test may fail if the local domain is set.
  * Skip Cloudstack tests that expect network.
  * Update patch metadata.
    1 patch forwarded upstream
  * Update Vcs-* URLs to use HTTPS.
  * Make example files ASCII-only.
    They may otherwise fail to parse.
  * Fix dependencies on {local,remote}_fs in init scripts.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 24 Sep 2016 13:57:04 +0200
